(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/engine", "./PolygonPathGenerator.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.polygonPathName = void 0;
    exports.loadPolygonPath = loadPolygonPath;
    const engine_1 = require("@tsparticles/engine");
    const PolygonPathGenerator_js_1 = require("./PolygonPathGenerator.js");
    exports.polygonPathName = "polygonPathGenerator";
    async function loadPolygonPath(engine, refresh = true) {
        (0, engine_1.assertValidVersion)(engine, "3.7.1");
        await engine.addPathGenerator(exports.polygonPathName, new PolygonPathGenerator_js_1.PolygonPathGenerator(), refresh);
    }
});
